Your submission was sent successfully! Close

CVE-2017-15722

Published: 22 October 2017

In certain cases, Irssi before 1.0.5 may fail to verify that a Safe channel ID is long enough, causing reads beyond the end of the string.

Priority

Medium

CVSS 3 base score: 5.9

Status

Package Release Status
irssi
Launchpad, Ubuntu, Debian
Upstream
Released (1.0.5)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (0.8.19-1ubuntu1.5)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was released [0.8.15-5ubuntu3.3])
Patches:
Upstream: https://github.com/irssi/irssi/commit/43e44d553d44e313003cee87e6ea5e24d68b84a1